GNU bug report logs - #9806
Fwd: [OMPI devel] make check fails for Intel 2011.6.233 (OpenMPI 1.4.3)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Jeff Squyres <jsquyres@HIDDEN>; dated Thu, 20 Oct 2011 12:06:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2011 19:17:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 14:17:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RNrBC-0003s4-8P
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2011 14:17:55 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <baker@HIDDEN>) id 1RNr3h-0003fo-7A
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2011 14:10:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <baker@HIDDEN>) id 1RNr3Z-0007wk-NO
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2011 14:10:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.4 required=5.0 tests=BAYES_00,HTML_MESSAGE,
	RCVD_IN_DNSWL_MED,RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:46981)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <baker@HIDDEN>) id 1RNr3Z-0007wa-Ka
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2011 14:10:01 -0500
Received: from eggs.gnu.org ([140.186.70.92]:45292)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <baker@HIDDEN>) id 1RNr3X-0002FE-Tt
	for bug-libtool@HIDDEN; Tue, 08 Nov 2011 14:10:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <baker@HIDDEN>) id 1RNr3V-0007vt-TR
	for bug-libtool@HIDDEN; Tue, 08 Nov 2011 14:09:59 -0500
Received: from gscamnlh01.wr.usgs.gov ([130.118.9.68]:43127)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <baker@HIDDEN>) id 1RNr3V-0007th-Av
	for bug-libtool@HIDDEN; Tue, 08 Nov 2011 14:09:57 -0500
Received: from savaii.wr.usgs.gov ([130.118.45.7])
	by gscamnlh01.wr.usgs.gov (Lotus Domino Release 8.5.2FP2HF661)
	with ESMTP id 2011110811095462-161108 ;
	Tue, 8 Nov 2011 11:09:54 -0800 
Message-Id: <96735770-EA4B-4C63-8DCD-1139879802AC@HIDDEN>
From: Larry Baker <baker@HIDDEN>
To: bug-libtool@HIDDEN
In-Reply-To: <7ADEDF69-02C2-4A99-A78B-C1A16EF0D44F@HIDDEN>
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: [OMPI devel] make check fails for Intel 2011.6.233 (OpenMPI 1.4.3)
Date: Tue, 8 Nov 2011 11:09:54 -0800
References: <E8850923-012C-4E10-A28D-FCCB14F6717F@HIDDEN>
	<7ADEDF69-02C2-4A99-A78B-C1A16EF0D44F@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-MIMETrack: Itemize by SMTP Server on gscamnlh01/SERVER/USGS/DOI(Release
	8.5.2FP2HF661 | September 20, 2011) at 11/08/2011 11:09:54,
	Serialize by Router on gscamnlh01/SERVER/USGS/DOI(Release 8.5.2FP2HF661
	| September 20, 2011) at 11/08/2011 11:09:57,
	Serialize complete at 11/08/2011 11:09:57
Content-Type: multipart/alternative; boundary=Apple-Mail-17-1022295000
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 08 Nov 2011 14:17:53 -0500
Cc: Jeff Squyres <jsquyres@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


--Apple-Mail-17-1022295000
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=US-ASCII;
	format=flowed;
	delsp=yes

FYI.  This is a follow-up to Jeff Squyres' earlier note.

Intel release 2011.6.233 has a bug in the vectorizer that breaks  
OpenMPI.  The bug is fixed in Intel release 2011.7.256.


Both Intel release 2011.6.233 and 2011.7.256 identify themselves as  
V12.1.0 using the -v command line option.  (This bug has been reported.)

The only reliable way to distinguish the Intel compiler release is the  
predefined __INTEL_COMPILER_BUILD_DATE macro.

Below are the compiler identification strings available from the Intel  
2011.6.233 and 2011.7.256 compiler releases:

> [baker@hydra tmp]$ module list
> Currently Loaded Modulefiles:
>   1) modules                      2) compilers/intel/2011.6.233

> [baker@hydra tmp]$ icc -v
> icc version 12.1.0 (gcc version 4.1.2 compatibility)

> [baker@hydra tmp]$ icc -E -dM junk.c | grep INTEL
> #define __INTEL_COMPILER 9999
> #define __INTEL_RTTI__ 1
> #define __INTEL_COMPILER_BUILD_DATE 20110811


> [baker@hydra tmp]$ module list
> Currently Loaded Modulefiles:
>   1) modules                      2) compilers/intel/2011.7.256

> [baker@hydra tmp]$ icc -v
> icc version 12.1.0 (gcc version 4.1.2 compatibility)

> [baker@hydra tmp]$ icc -E -dM junk.c | grep INTEL
> #define __INTEL_COMPILER 1210
> #define __INTEL_RTTI__ 1
> #define __INTEL_COMPILER_BUILD_DATE 20111011



Larry Baker
US Geological Survey
650-329-5608
baker@HIDDEN

On 20 Oct 2011, at 5:03 AM, Jeff Squyres wrote:

> Libtool developers --
>
> FYI.  I don't know offhand if you're checking the intel compiler  
> #defines for version numbers, but the following issue just came up  
> on the Open MPI list: the intel 12.1.x compilers seem to have done  
> terrible things to the version #defines.  So we're passing along  
> this info in case you need it.
>
> See below.
>
> Begin forwarded message:
>
>> From: Larry Baker <baker@HIDDEN>
>> Date: October 19, 2011 4:25:26 PM EDT
>> To: Open MPI Developers <devel@HIDDEN>
>> Subject: Re: [OMPI devel] make check fails for Intel 2011.6.233  
>> (OpenMPI 1.4.3)
>> Reply-To: Open MPI Developers <devel@HIDDEN>
>>
>> Here's what I get for the version no. macros from the Intel  
>> compilers I have installed on our cluster:
>>
>>> Intel V11.1.080
>>>
>>> $ icc -v
>>> Version 11.1
>>>
>>> #define __ICC 1110
>>> #define __INTEL_COMPILER 1110
>>> #define __INTEL_COMPILER_BUILD_DATE 20101201
>>>
>>> Intel V2011.3.174
>>>
>>> $ icc -v
>>> Version 12.0.3
>>>
>>> #define __ICC 1200
>>> #define __INTEL_COMPILER 1200
>>> #define __INTEL_COMPILER_BUILD_DATE 20110309
>>>
>>> Intel V2011.4.191
>>>
>>> $ icc -v
>>> Version 12.0.4
>>>
>>> #define __ICC 1200
>>> #define __INTEL_COMPILER 1200
>>> #define __INTEL_COMPILER_BUILD_DATE 20110427
>>>
>>> Intel V2011.5.220
>>>
>>> $ icc -v
>>> Version 12.0.5
>>>
>>> #define __ICC 1200
>>> #define __INTEL_COMPILER 1200
>>> #define __INTEL_COMPILER_BUILD_DATE 20110719
>>>
>>> Intel V2011.6.233
>>>
>>> $ icc -v
>>> icc version 12.1.0 (gcc version 4.1.2 compatibility)
>>>
>>> #define __ICC 9999
>>> #define __INTEL_COMPILER 9999
>>> #define __INTEL_COMPILER_BUILD_DATE 20110811
>>
>> As Hubert mentioned, only the build date has a reliable value.
>>
>> Larry Baker
>> US Geological Survey
>> 650-329-5608
>> baker@HIDDEN
>>
>> On 19 Oct 2011, at 11:45 AM, Larry Baker wrote:
>>
>>> I posted my findings about the bad version no. macros to the same  
>>> thread that described the Intel V12.1 optimizer bug (http://software.intel.com/en-us/forums/showthread.php?t=87132 
>>> ).  The response I got is:
>>>
>>>> Posted By: Hubert Haberstock (Intel)
>>>> __________________________________________
>>>>
>>>> The build date is currently the only suitable macro. This allows  
>>>> to check for the Intel Compiler and for specific compiler  
>>>> versions. Makes sense? Regards, Hubert.
>>>> __________________________________________
>>>
>>> That is contrary to what the online V12.1 documentation says.  I'm  
>>> going to find out what the previous versions do, then report this  
>>> through my normal support channels.  If the documentation is  
>>> wrong, they should fix it; if the documentation is right, they  
>>> should fix the compiler.  (However, there will still be an errant  
>>> V12.1.0 that reports itself as 9999, so use of the version no.  
>>> macros will never be reliable without a hack to handle this errant  
>>> case.)  I'll report here what I find about the values of the  
>>> version no. macros.  It is probably better, though, that automake/ 
>>> libtool rely on the output of icc -v, since that seems to always  
>>> result in a value that matches the version of the product (as  
>>> opposed to #define __INTEL_COMPILER 9999 and #define __ICC 9999  
>>> from within the V12.1.0 compiler).
>>>
>>> Larry Baker
>>> US Geological Survey
>>> 650-329-5608
>>> baker@HIDDEN
>
> If you care, you can see the rest of the thread here:
>
>    http://www.open-mpi.org/community/lists/devel/2011/10/9791.php
>
> -- 
> Jeff Squyres
> jsquyres@HIDDEN
> For corporate legal information go to:
> http://www.cisco.com/web/about/doing_business/legal/cri/
>


--Apple-Mail-17-1022295000
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=US-ASCII

<html><body style=3D"word-wrap: break-word; -webkit-nbsp-mode: space; =
-webkit-line-break: after-white-space; ">FYI. &nbsp;This is a follow-up =
to Jeff Squyres' earlier note.<div><br></div><div>Intel release =
2011.6.233 has a bug in the vectorizer that breaks OpenMPI. &nbsp;The =
bug is fixed in Intel release =
2011.7.256.</div><div><br></div><div><blockquote =
type=3D"cite"></blockquote></div><div>Both Intel release 2011.6.233 and =
2011.7.256 identify themselves as V12.1.0 using the -v command line =
option. &nbsp;(This bug has been reported.)</div><div><br></div><div>The =
only reliable way to distinguish the Intel compiler release is =
the&nbsp;predefined&nbsp;__INTEL_COMPILER_BUILD_DATE =
macro.</div><div><br></div><div>Below are the compiler identification =
strings available from the Intel 2011.6.233 and 2011.7.256 compiler =
releases:</div><div><br></div><div><blockquote type=3D"cite"><div><font =
class=3D"Apple-style-span" color=3D"#000000">[baker@hydra tmp]$ module =
list &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">Currently Loaded =
Modulefiles:</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">&nbsp; 1) modules &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; =
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;2) =
compilers/intel/2011.6.233</font></div><div></div></blockquote><br><blockq=
uote type=3D"cite"><div><font class=3D"Apple-style-span" =
color=3D"#000000">[baker@hydra tmp]$ icc -v</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">icc version 12.1.0 (gcc =
version 4.1.2 =
compatibility)</font></div><div></div></blockquote><br><blockquote =
type=3D"cite"><div><font class=3D"Apple-style-span" =
color=3D"#000000">[baker@hydra tmp]$ icc -E -dM junk.c | grep =
INTEL</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">#define __INTEL_COMPILER 9999</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">#define __INTEL_RTTI__ =
1</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">#define __INTEL_COMPILER_BUILD_DATE =
20110811</font></div></blockquote></div><div><div><br></div></div><div><bl=
ockquote type=3D"cite"><div><font class=3D"Apple-style-span" =
color=3D"#000000">[baker@hydra tmp]$ module list</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">Currently Loaded =
Modulefiles:</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">&nbsp; 1) modules &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; =
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;2) =
compilers/intel/2011.7.256</font></div><div></div></blockquote><br><blockq=
uote type=3D"cite"><div><font class=3D"Apple-style-span" =
color=3D"#000000">[baker@hydra tmp]$ icc -v</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">icc version 12.1.0 (gcc =
version 4.1.2 =
compatibility)</font></div><div></div></blockquote><br><blockquote =
type=3D"cite"><div><font class=3D"Apple-style-span" =
color=3D"#000000">[baker@hydra tmp]$ icc -E -dM junk.c | grep =
INTEL</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">#define __INTEL_COMPILER 1210</font></div><div><font =
class=3D"Apple-style-span" color=3D"#000000">#define __INTEL_RTTI__ =
1</font></div><div><font class=3D"Apple-style-span" =
color=3D"#000000">#define __INTEL_COMPILER_BUILD_DATE =
20111011</font></div></blockquote></div><div><div><br></div></div><div><br=
></div><div><div apple-content-edited=3D"true"> <div style=3D"word-wrap: =
break-word; -webkit-nbsp-mode: space; -webkit-line-break: =
after-white-space; =
"><div><div><div><div><div><div><div><div><div><div>Larry =
Baker</div><div>US Geological Survey</div><div>650-329-5608</div><div><a =
href=3D"mailto:baker@HIDDEN">baker@HIDDEN</a></div></div></div></div><=
/div></div></div></div></div></div></div> </div><br><div><div>On 20 Oct =
2011, at 5:03 AM, Jeff Squyres wrote:</div><br =
class=3D"Apple-interchange-newline"><blockquote type=3D"cite"><div>Libtool=
 developers --<br><br>FYI. &nbsp;I don't know offhand if you're checking =
the intel compiler #defines for version numbers, but the following issue =
just came up on the Open MPI list: the intel 12.1.x compilers seem to =
have done terrible things to the version #defines. &nbsp;So we're =
passing along this info in case you need it.<br><br>See =
below.<br><br>Begin forwarded message:<br><br><blockquote =
type=3D"cite">From: Larry Baker &lt;<a =
href=3D"mailto:baker@HIDDEN">baker@HIDDEN</a>&gt;<br></blockquote><blo=
ckquote type=3D"cite">Date: October 19, 2011 4:25:26 PM =
EDT<br></blockquote><blockquote type=3D"cite">To: Open MPI Developers =
&lt;<a =
href=3D"mailto:devel@HIDDEN">devel@HIDDEN</a>&gt;<br></blockqu=
ote><blockquote type=3D"cite">Subject: Re: [OMPI devel] make check fails =
for Intel 2011.6.233 (OpenMPI 1.4.3)<br></blockquote><blockquote =
type=3D"cite">Reply-To: Open MPI Developers &lt;<a =
href=3D"mailto:devel@HIDDEN">devel@HIDDEN</a>&gt;<br></blockqu=
ote><blockquote type=3D"cite"><br></blockquote><blockquote =
type=3D"cite">Here's what I get for the version no. macros from the =
Intel compilers I have installed on our =
cluster:<br></blockquote><blockquote =
type=3D"cite"><br></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">Intel V11.1.080<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">$ icc =
-v<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">Version 11.1 <br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">#define __ICC =
1110<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER =
1110<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER_BUILD_DATE =
20101201<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">Intel =
V2011.3.174<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">$ icc =
-v<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">Version 12.0.3<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">#define __ICC =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER_BUILD_DATE =
20110309<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">Intel =
V2011.4.191<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">$ icc =
-v<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">Version 12.0.4<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">#define __ICC =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER_BUILD_DATE =
20110427<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">Intel =
V2011.5.220<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">$ icc =
-v<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">Version 12.0.5<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">#define __ICC =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER =
1200<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER_BUILD_DATE =
20110719<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">Intel =
V2011.6.233<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">$ icc =
-v<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">icc version 12.1.0 (gcc version 4.1.2 =
compatibility)<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">#define __ICC =
9999<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER =
9999<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">#define __INTEL_COMPILER_BUILD_DATE =
20110811<br></blockquote></blockquote><blockquote =
type=3D"cite"><br></blockquote><blockquote type=3D"cite">As Hubert =
mentioned, only the build date has a reliable =
value.<br></blockquote><blockquote =
type=3D"cite"><br></blockquote><blockquote type=3D"cite">Larry =
Baker<br></blockquote><blockquote type=3D"cite">US Geological =
Survey<br></blockquote><blockquote =
type=3D"cite">650-329-5608<br></blockquote><blockquote type=3D"cite"><a =
href=3D"mailto:baker@HIDDEN">baker@HIDDEN</a><br></blockquote><blockqu=
ote type=3D"cite"><br></blockquote><blockquote type=3D"cite">On 19 Oct =
2011, at 11:45 AM, Larry Baker wrote:<br></blockquote><blockquote =
type=3D"cite"><br></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">I posted my findings about the bad version no. macros to =
the same thread that described the Intel V12.1 optimizer bug (<a =
href=3D"http://software.intel.com/en-us/forums/showthread.php?t=3D87132">h=
ttp://software.intel.com/en-us/forums/showthread.php?t=3D87132</a>). =
&nbsp;The response I got is:<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite"><blockquote type=3D"cite">Posted =
By: Hubert Haberstock =
(Intel)<br></blockquote></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite"><blockquote =
type=3D"cite">__________________________________________<br></blockquote><=
/blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite"><blockquote type=3D"cite">The =
build date is currently the only suitable macro. This allows to check =
for the Intel Compiler and for specific compiler versions. Makes sense? =
Regards, Hubert.<br></blockquote></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite"><blockquote =
type=3D"cite">__________________________________________<br></blockquote><=
/blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">That is contrary to what the =
online V12.1 documentation says. &nbsp;I'm going to find out what the =
previous versions do, then report this through my normal support =
channels. &nbsp;If the documentation is wrong, they should fix it; if =
the documentation is right, they should fix the compiler. =
&nbsp;(However, there will still be an errant V12.1.0 that reports =
itself as 9999, so use of the version no. macros will never be reliable =
without a hack to handle this errant case.) &nbsp;I'll report here what =
I find about the values of the version no. macros. &nbsp;It is probably =
better, though, that automake/libtool rely on the output of icc -v, =
since that seems to always result in a value that matches the version of =
the product (as opposed to #define __INTEL_COMPILER 9999 and #define =
__ICC 9999 from within the V12.1.0 =
compiler).<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote =
type=3D"cite"><br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite">Larry =
Baker<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">US Geological =
Survey<br></blockquote></blockquote><blockquote type=3D"cite"><blockquote =
type=3D"cite">650-329-5608<br></blockquote></blockquote><blockquote =
type=3D"cite"><blockquote type=3D"cite"><a =
href=3D"mailto:baker@HIDDEN">baker@HIDDEN</a><br></blockquote></blockq=
uote><br>If you care, you can see the rest of the thread here:<br><br> =
&nbsp;&nbsp;&nbsp;<a =
href=3D"http://www.open-mpi.org/community/lists/devel/2011/10/9791.php">ht=
tp://www.open-mpi.org/community/lists/devel/2011/10/9791.php</a><br><br>--=
 <br>Jeff Squyres<br><a =
href=3D"mailto:jsquyres@HIDDEN">jsquyres@HIDDEN</a><br>For =
corporate legal information go =
to:<br>http://www.cisco.com/web/about/doing_business/legal/cri/<br><br></d=
iv></blockquote></div><br></div></body></html>=

--Apple-Mail-17-1022295000--




Information forwarded to bug-libtool@HIDDEN:
bug#9806; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2011 12:05:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 08:05:06 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGrMu-0000oO-KW
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2011 08:05:06 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrMq-0000ns-DJ
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2011 08:05:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrLe-0003KM-1a
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2011 08:03:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.7 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD,T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:42292)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrLd-0003K1-V7
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2011 08:03:45 -0400
Received: from eggs.gnu.org ([140.186.70.92]:40176)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrLX-0001Mi-No
	for bug-libtool@HIDDEN; Thu, 20 Oct 2011 08:03:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrLR-00031F-8x
	for bug-libtool@HIDDEN; Thu, 20 Oct 2011 08:03:39 -0400
Received: from rcdn-iport-9.cisco.com ([173.37.86.80]:3540)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jsquyres@HIDDEN>) id 1RGrLR-0002zF-20
	for bug-libtool@HIDDEN; Thu, 20 Oct 2011 08:03:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
	d=cisco.com; i=jsquyres@HIDDEN; l=3665; q=dns/txt;
	s=iport; t=1319112213; x=1320321813;
	h=mime-version:subject:from:date:cc:
	content-transfer-encoding:message-id:references:to;
	bh=WquXa2HHZgWkNvGUnbfTzI4NeNM9SAbr1QBj362soWE=;
	b=dX7ozCY8ui2WayH1hMaooKJcvzGLW/yDTryjdL6z/WGFslUoocSz/nip
	rUFpZ2CjPpVfOOCQbv9IU6CNITpd/YsECtXIEzkLS7v8kk4Lc8XwvoSwC
	Ma2XcS8OW0SJV60tcUgsdWQnbfGRvvtQxKmV9eAfFxeWJSqtuD5NWJfIy 8=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhMFANINoE6tJV2b/2dsb2JhbAApFwOmVYJBgQWBbgEBAQMBAQIPAQUiPwULHAMBAgEuKB4HAggZFA6HXggklngBnjmFFII0YQSRZoIakXM
X-IronPort-AV: E=Sophos;i="4.69,379,1315180800"; d="scan'208";a="29768985"
Received: from rcdn-core-4.cisco.com ([173.37.93.155])
	by rcdn-iport-9.cisco.com with ESMTP; 20 Oct 2011 12:03:31 +0000
Received: from rtp-jsquyres-8917.cisco.com (rtp-jsquyres-8917.cisco.com
	[10.117.133.232])
	by rcdn-core-4.cisco.com (8.14.3/8.14.3) with ESMTP id p9KC3YrG025088; 
	Thu, 20 Oct 2011 12:03:34 GMT
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Apple Message framework v1084)
Subject: Fwd: [OMPI devel] make check fails for Intel 2011.6.233 (OpenMPI
	1.4.3)
From: Jeff Squyres <jsquyres@HIDDEN>
Date: Thu, 20 Oct 2011 08:03:30 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <7ADEDF69-02C2-4A99-A78B-C1A16EF0D44F@HIDDEN>
References: <E8850923-012C-4E10-A28D-FCCB14F6717F@HIDDEN>
To: bug-libtool@HIDDEN
X-Mailer: Apple Mail (2.1084)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: submit
Cc: Larry Baker <baker@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.4 (-----)

Libtool developers --

FYI.  I don't know offhand if you're checking the intel compiler =
#defines for version numbers, but the following issue just came up on =
the Open MPI list: the intel 12.1.x compilers seem to have done terrible =
things to the version #defines.  So we're passing along this info in =
case you need it.

See below.

Begin forwarded message:

> From: Larry Baker <baker@HIDDEN>
> Date: October 19, 2011 4:25:26 PM EDT
> To: Open MPI Developers <devel@HIDDEN>
> Subject: Re: [OMPI devel] make check fails for Intel 2011.6.233 =
(OpenMPI 1.4.3)
> Reply-To: Open MPI Developers <devel@HIDDEN>
>=20
> Here's what I get for the version no. macros from the Intel compilers =
I have installed on our cluster:
>=20
>> Intel V11.1.080
>>=20
>> $ icc -v
>> Version 11.1=20
>>=20
>> #define __ICC 1110
>> #define __INTEL_COMPILER 1110
>> #define __INTEL_COMPILER_BUILD_DATE 20101201
>>=20
>> Intel V2011.3.174
>>=20
>> $ icc -v
>> Version 12.0.3
>>=20
>> #define __ICC 1200
>> #define __INTEL_COMPILER 1200
>> #define __INTEL_COMPILER_BUILD_DATE 20110309
>>=20
>> Intel V2011.4.191
>>=20
>> $ icc -v
>> Version 12.0.4
>>=20
>> #define __ICC 1200
>> #define __INTEL_COMPILER 1200
>> #define __INTEL_COMPILER_BUILD_DATE 20110427
>>=20
>> Intel V2011.5.220
>>=20
>> $ icc -v
>> Version 12.0.5
>>=20
>> #define __ICC 1200
>> #define __INTEL_COMPILER 1200
>> #define __INTEL_COMPILER_BUILD_DATE 20110719
>>=20
>> Intel V2011.6.233
>>=20
>> $ icc -v
>> icc version 12.1.0 (gcc version 4.1.2 compatibility)
>>=20
>> #define __ICC 9999
>> #define __INTEL_COMPILER 9999
>> #define __INTEL_COMPILER_BUILD_DATE 20110811
>=20
> As Hubert mentioned, only the build date has a reliable value.
>=20
> Larry Baker
> US Geological Survey
> 650-329-5608
> baker@HIDDEN
>=20
> On 19 Oct 2011, at 11:45 AM, Larry Baker wrote:
>=20
>> I posted my findings about the bad version no. macros to the same =
thread that described the Intel V12.1 optimizer bug =
(http://software.intel.com/en-us/forums/showthread.php?t=3D87132).  The =
response I got is:
>>=20
>>> Posted By: Hubert Haberstock (Intel)
>>> __________________________________________
>>>=20
>>> The build date is currently the only suitable macro. This allows to =
check for the Intel Compiler and for specific compiler versions. Makes =
sense? Regards, Hubert.
>>> __________________________________________
>>=20
>> That is contrary to what the online V12.1 documentation says.  I'm =
going to find out what the previous versions do, then report this =
through my normal support channels.  If the documentation is wrong, they =
should fix it; if the documentation is right, they should fix the =
compiler.  (However, there will still be an errant V12.1.0 that reports =
itself as 9999, so use of the version no. macros will never be reliable =
without a hack to handle this errant case.)  I'll report here what I =
find about the values of the version no. macros.  It is probably better, =
though, that automake/libtool rely on the output of icc -v, since that =
seems to always result in a value that matches the version of the =
product (as opposed to #define __INTEL_COMPILER 9999 and #define __ICC =
9999 from within the V12.1.0 compiler).
>>=20
>> Larry Baker
>> US Geological Survey
>> 650-329-5608
>> baker@HIDDEN

If you care, you can see the rest of the thread here:

    http://www.open-mpi.org/community/lists/devel/2011/10/9791.php

--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/





Acknowledgement sent to Jeff Squyres <jsquyres@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#9806; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.